Bug 735850 - SELinux is preventing /lib/systemd/systemd-logind from 'read' accesses on the lnk_file cpu.
Summary: SELinux is preventing /lib/systemd/systemd-logind from 'read' accesses on the...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:831443c38e60b22042b2aa97772...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-05 17:16 UTC by Mads Kiilerich
Modified: 2011-09-13 06:08 UTC (History)
4 users (show)

Fixed In Version: selinux-policy-3.10.0-25.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-13 06:08:33 UTC


Attachments (Terms of Use)

Description Mads Kiilerich 2011-09-05 17:16:29 UTC
abrt version: 2.0.5
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.1.0-0.rc4.git0.0.fc16.x86_64
reason:         SELinux is preventing /lib/systemd/systemd-logind from 'read' accesses on the lnk_file cpu.
time:           Mon Sep  5 19:16:22 2011

description:
:SELinux is preventing /lib/systemd/systemd-logind from 'read' accesses on the lnk_file cpu.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that systemd-logind should be allowed read access on the cpu lnk_file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep systemd-logind /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:systemd_logind_t:s0
:Target Context                system_u:object_r:cgroup_t:s0
:Target Objects                cpu [ lnk_file ]
:Source                        systemd-logind
:Source Path                   /lib/systemd/systemd-logind
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           systemd-35-1.fc16
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-21.fc16
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Permissive
:Host Name                     (removed)
:Platform                      Linux (removed) 3.1.0-0.rc4.git0.0.fc16.x86_64 #1 SMP
:                              Tue Aug 30 00:00:26 UTC 2011 x86_64 x86_64
:Alert Count                   3
:First Seen                    Mon 05 Sep 2011 07:01:01 PM CEST
:Last Seen                     Mon 05 Sep 2011 07:14:31 PM CEST
:Local ID                      aad4ed49-2ad4-478f-aa1c-27d528728709
:
:Raw Audit Messages
:type=AVC msg=audit(1315242871.351:82): avc:  denied  { read } for  pid=997 comm="systemd-logind" name="cpu" dev=tmpfs ino=9729 scontext=system_u:system_r:systemd_logind_t:s0 tcontext=system_u:object_r:cgroup_t:s0 tclass=lnk_file
:
:
:type=SYSCALL msg=audit(1315242871.351:82): arch=x86_64 syscall=open success=yes exit=EFAULT a0=6a4cf0 a1=80241 a2=1b6 a3=fffffe00 items=0 ppid=1 pid=997 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=systemd-logind exe=/lib/systemd/systemd-logind subj=system_u:system_r:systemd_logind_t:s0 key=(null)
:
:Hash: systemd-logind,systemd_logind_t,cgroup_t,lnk_file,read
:
:audit2allow
:
:#============= systemd_logind_t ==============
:allow systemd_logind_t cgroup_t:lnk_file read;
:
:audit2allow -R
:
:#============= systemd_logind_t ==============
:allow systemd_logind_t cgroup_t:lnk_file read;
:

Comment 1 Miroslav Grepl 2011-09-06 06:33:03 UTC
Fixed in selinux-policy-3.10.0-24.fc16

Comment 2 Fedora Update System 2011-09-08 08:05:20 UTC
selinux-policy-3.10.0-25.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-25.fc16

Comment 3 Fedora Update System 2011-09-08 20:51:37 UTC
Package selinux-policy-3.10.0-25.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-25.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-25.fc16
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-09-13 06:08:00 UTC
selinux-policy-3.10.0-25.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.